       ID DIVISION. 
       PROGRAM-ID. Control7.
       AUTHOR. Holmes.
       DATA DIVISION. 
       WORKING-STORAGE SECTION. 
       01  MEMBER   PIC X VALUE SPACE .
       01  QP       PIC 9(5) VALUE ZEROES .
      *> QuarterlyPurchases
       01  QTY      PIC 99 VALUE ZEROES .
       01  DISCOUNT PIC 99 VALUE ZEROES .

       PROCEDURE DIVISION .
       BEGIN.
           DISPLAY "Enter value of Quarterly Purchases - "
              WITH NO ADVANCING 
           ACCEPT  QP 
           DISPLAY "Enter qty books purchased - " WITH NO ADVANCING 
           ACCEPT QTY 
           DISPLAY "club member enter Y or N - " WITH NO ADVANCING 
           ACCEPT MEMBER 
           EVALUATE QTY ALSO TRUE ALSO MEMBER
           WHEN 1 THRU 5 ALSO QP < 500     ALSO ANY MOVE 0  TO DISCOUNT
           WHEN 1 THRU 5 ALSO QP < 2000    ALSO "Y" MOVE 7  TO DISCOUNT
           WHEN 1 THRU 5 ALSO QP < 2000    ALSO "N" MOVE 5  TO DISCOUNT
           WHEN 1 THRU 5 ALSO QP >= 2000   ALSO "Y" MOVE 10 TO DISCOUNT
           WHEN 1 THRU 5 ALSO QP >= 2000   ALSO "N" MOVE 8  TO DISCOUNT

           WHEN 6 THRU 20 ALSO QP < 500    ALSO "Y" MOVE 3  TO DISCOUNT
           WHEN 6 THRU 20 ALSO QP < 500    ALSO "N" MOVE 2  TO DISCOUNT
           WHEN 6 THRU 20 ALSO QP < 2000   ALSO "Y" MOVE 12 TO DISCOUNT
           WHEN 6 THRU 20 ALSO QP < 2000   ALSO "N" MOVE 10 TO DISCOUNT
           WHEN 6 THRU 20 ALSO QP >= 2000  ALSO "Y" MOVE 25 TO DISCOUNT
           WHEN 6 THRU 20 ALSO QP >= 2000  ALSO "N" MOVE 15 TO DISCOUNT

           WHEN 21 THRU 99 ALSO QP < 500   ALSO "Y" MOVE 5  TO DISCOUNT
           WHEN 21 THRU 99 ALSO QP < 500   ALSO "N" MOVE 3  TO DISCOUNT
           WHEN 21 THRU 99 ALSO QP < 2000  ALSO "Y" MOVE 16 TO DISCOUNT
           WHEN 21 THRU 99 ALSO QP < 2000  ALSO "N" MOVE 15 TO DISCOUNT
           WHEN 21 THRU 99 ALSO QP >= 2000 ALSO "Y" MOVE 30 TO DISCOUNT
           WHEN 21 THRU 99 ALSO QP >= 2000 ALSO "N" MOVE 20 TO DISCOUNT
           END-EVALUATE 

           DISPLAY "Discount = " DISCOUNT "%"
           GOBACK.
           